Package twisted :: Package cred :: Module credentials :: Class ICredentials |
[frames | no frames]

## Class ICredentials

    Interface --+
                |
               ICredentials

Known Subclasses:
  `IAnonymous`, `IPluggableAuthenticationModules`, `ISSHPrivateKey`, `IUsernameHashedPassword`, `IUsernameMD5Password`, `IUsernamePassword`, `SimpleMD5ChallengeResponse`

I check credentials.

Class Variable Summary
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Class Variable Details

### __implements__ Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net